## ui.R
##
## Wireframe for Renku releases
##

library(shiny)
library(shinyWidgets)

shinyUI(fluidPage(
    # Set the font as cabin throughout
    tags$head(tags$style(HTML("* {font-family: cabin, sans-serif;"))),
    
    # Insert title
    titlePanel(windowTitle = "Renku Releases",
               title = div(img(src = "RENKU_Logo_CMJN_GREEN_FUCHSIA_PROD.png", width = "220", span("Releases",
                            style = "color: #01192D; font-size: 40px; 
                            font-weight: bold; font-family: cabin, sans-serif;")))),
    
    # Set the horizontal layout for tabs
    navbarPage(title = "",
            tabPanel("All", uiOutput("allReleases"), icon = icon("globe-europe")),
            tabPanel("Renku", uiOutput("renku"), icon = icon("frog")),
            tabPanel("Gateway", uiOutput("renku-gateway"), icon = icon("door-open")),
            tabPanel("Graph", uiOutput("renku-graph"), icon = icon("project-diagram")),
            tabPanel("Notebooks", uiOutput("renku-notebooks"), icon = icon("book-open")),
            tabPanel("Jupyter", uiOutput("renku-jupyter"), icon = icon("globe")),
            tabPanel("Python", uiOutput("renku-python"), icon = icon("python")),
            tabPanel("UI", uiOutput("renku-ui"), icon = icon("user-circle")),
            tabPanel("Project Templates", uiOutput("renku-project-template"), icon = icon("th")),
            tabPanel("Docker", uiOutput("renkulab-docker"), icon = icon("ship"))
    )
))
